### Method

# WebKit URISchemeResponse set_http_headers

#### Declaration [src]

    void
    webkit_uri_scheme_response_set_http_headers (
      WebKitURISchemeResponse* response,
      SoupMessageHeaders* headers
    )

#### Description [src]

Assign the provided `SoupMessageHeaders` to the response.

`headers` need to be of the type `SOUP_MESSAGE_HEADERS_RESPONSE`. Any existing headers will be overwritten.

Available since: | 2.36

#### Parameters

`headers` | `SoupMessageHeaders`
| The HTTP headers to be set.
| The instance takes ownership of the data, and is responsible for freeing it.